film/urls.py
from django.urls import path

from . import views

app_name = 'film'

urlpatterns = [
    # path('', views.index, name='list'),
    path('', views.FilmView.as_view(), name='list'),
    # path('detail/<int:pk>', views.detail, name='detail'),
    path('detail/<int:pk>', views.FilmDetailView.as_view(), name='detail'),
    # path('create-form/', views.create_form, name='list'),
    path('create-form/', views.AddFilmView.as_view(), name='add'),
    # path('edit-form/<int:pk>', views.edit_form, name='list'),
    path('edit-form/<int:pk>', views.UpdateFilmView.as_view(), name='update'),

    path('delete/<int:pk>', views.DeleteFilmView.as_view(), name = 'delete')
]

forum/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'forum'

urlpatterns = [
    path('forum/<int:id>',views.forum_view, name='forum_view'),
    path('add-new-topic-forum/<int:id>',views.add_new_topic_forum, name='add_new_topic_forum'),
    path('view-replies/<int:id>/<int:idForum>',views.forum_view_replies, name='view-replies'),
    path('del-forum/<int:id>',views.delete_forum, name='del-forum'),
    path('del-reply/<int:id>',views.delete_reply, name='del-reply'),

]

sipi/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings


urlpatterns = [
    path('admin/', admin.site.urls),
    path('berita/', include('berita.urls')),
    path('ulasan/', include('ulasan.urls')),
    path('', include('home.urls')),
    path('', include('watchlist.urls')),
    path('', include('forum.urls')),
    path('film/', include('film.urls')),
    path('account/', include('account.urls')),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

watchlist/urls.py
from django.urls import path
from . import views

app_name = 'watchlist'

urlpatterns = [
    path('watchlist/', views.get_watchlist, name='get_watchlist'),
    path('watchlistfilm/<int:pk>/tambah_episode_tertonton/', views.tambah_episode_tertonton, name='tambah_episode_tertonton'),
    path('watchlistfilm/<int:pk>/kurang_episode_tertonton/', views.kurang_episode_tertonton, name='kurang_episode_tertonton'),
    path('watchlistfilm/<int:pk>/hapus', views.delete_watchlist_film, name="delete_watchlist_film"),
    path('watchlistfilm/<int:pk>/update_status_menonton', views.update_status_menonton_watchlist_film, name='update_status_menonton'),
    path('watchlist/tambah_film/<int:film_pk>', views.tambah_film, name="tambah_film_watchlist"),
    path('watchlist/batalkan_tambah_film/<int:film_pk>', views.batalkan_tambah_film, name='batalkan_tambah_film')
]

film/models.py
from django.db import models
import datetime

# Create your models here.


class Film(models.Model):
	judul_film = models.CharField(max_length=150)
	poster = models.URLField(max_length = 500)
	genre = models.CharField(max_length=300)
	jumlah_episode = models.IntegerField()
	sutradara = models.CharField(max_length=150) #sementara karena tidak ada class crew
	tahun_rilis = models.DateField(default=datetime.date.today)
	nama_pemeran = models.CharField(max_length=150) #sementara karena tidak ada class crew
	produser = models.CharField(max_length=150) #sementara karena tidak ada class crew
	skor = models.IntegerField()
	sinopsis = models.TextField()

	def __str__(self):
		return self.judul_film

film/forms.py
from django import forms
from .models import Film

class FormAddFilm(forms.ModelForm):
    class Meta:
        model = Film
        fields = {
            'judul_film',
            'poster',
            'genre',
            'jumlah_episode',
            'sutradara',
            'tahun_rilis',
            'nama_pemeran',
            'produser',
            'skor',
            'sinopsis'
        }
        widgets = {

            'judul_film' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'poster' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'genre' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'jumlah_episode' : forms.NumberInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'sutradara' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'tahun_rilis' : forms.DateInput(format='%d/%m/%Y'),
            'nama_pemeran' :forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'produser' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'skor' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'}),
            'sinopsis' : forms.Textarea(attrs={'class': 'form-control', 'placeholder': 'tulis di sini'})
        }

	
	
	
	
	
	
	
	

film/views.py
from typing import ContextManager
from django.http.response import HttpResponse
from django.shortcuts import render, redirect
from django.contrib import messages
from django.urls import reverse_lazy
from django.http import HttpResponseRedirect
from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator
from django.views.generic import ListView, DetailView, DeleteView, CreateView, UpdateView
from .forms import *
from .models import *
from . import forms
from ulasan.models import Reviews
# Create your views here.

class FilmView(ListView):
    model = Film
    template_name = 'film/cb-list.html'

class FilmDetailView(DetailView):
    model = Film
    template_name = 'film/cb-detail.html'

    def get_context_data(self, *args, **kwargs):
        context = super(FilmDetailView, self).get_context_data(*args, **kwargs)
        context['reviews']=Reviews.objects.filter(movie=Film.objects.get(pk=self.object.pk))
        return context

class AddFilmView(CreateView):
    model = Film
    form_class = forms.FormAddFilm
    template_name = 'film/cb-add.html'
    def get_success_url(self):
        return reverse_lazy('film:detail', kwargs={'pk': self.object.pk})

class UpdateFilmView(UpdateView):
    model = Film
    form_class = forms.FormAddFilm
    template_name = 'film/cb-update.html'
    def get_success_url(self):
        return reverse_lazy('film:detail', kwargs={'pk': self.object.pk})

class DeleteFilmView(DeleteView):
    model = Film
    success_url = '/film/'
    def get(self, request, *args, **kwargs):
        return self.post(request, *args, **kwargs)

film/templates/film/cb-add.html
{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Buat Film
{% endblock title %}
{% block content %}
<div style="height: 20px;"></div>
<div class="container" style="max-width: 1000px;">
    <div>
        <div style="height: 50px;"></div>
        <h1 class="text-center" style="font-weight: bolder;">Buat Film Baru</h1>
        <div style="height: 50px;"></div>
        <div style="color: #FFFCF9;">
            {%if user.is_authenticated%}
            {% if request.user|has_group:"maintainer" %} 
            <form method="post"> 
              {% csrf_token %} 
              {{ form.as_p }} 
              <button style=" background-color: #B1EDE8; color: #011936;" type="submit" class="btn btn-primary">Submit</button>
              <!-- <input type="submit" value="Save">  -->
          </form> 
          {%endif%}
          {%endif%}
        </div>
    </div>
</div>
<div>This is a test of Film list</div>
{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/cb-detail.html
{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Detail film
{% endblock title %}
{% block content %}
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1000px;">
        <div>
            <div style="height: 50px;"></div>
            {% for message in messages %}
                <div class="alert alert-primary" id="{{message.tags}}" value="{{message}}" role="alert">
                    {{message}}
                    {% if message.tags == 'success' %}
                    <form action="{% url 'watchlist:batalkan_tambah_film' film.pk %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-primary">Batalkan</button>
                    </form>
                    {% endif %}
                </div>
            {% endfor %}

            <div style="color: #011936;">
                <div>
                    <a href="/film"><button style="color: #FFFCF9;" type="button" class="btn btn-primary">Kembali Ke Daftar</button></a>
                    {%if user.is_authenticated%}

                    <form action="{% url 'watchlist:tambah_film_watchlist' film.pk %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-primary">Tambahkan Ke Watchlist</button>
                    </form>

                    {% if request.user|has_group:"maintainer" %} 
                    <a href="/film/edit-form/{{ film.pk }}"><button style="color: #011936; background-color: #B1EDE8;" type="button" class="btn btn-info">Edit film</button></a>
                    <!--<button style="color: #011936;" type="button" class="btn btn-danger">Hapus Artikel</button>-->
                    <!-- Button trigger modal -->
                    <button style="color: #FFFCF9;" type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#exampleModal">
                    Hapus Film
                </button>
                {%endif%}
                {%endif%}
                <!-- Modal -->
                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <h5>Are you really sure you want to delete this Film???</h5>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                                <a href="/film/delete/{{film.pk}}"><button type="button" class="btn btn-danger">Yes, Delete!</button></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div style="height: 20px;"></div>
        <h1 class="text-center" style="font-weight: bolder;">{{ film.judul_film }}</h1>
        <div style="height: 50px;"></div>
        <div class="text-center">
            <img src="{{ film.poster }}" alt="Tautan gambar yang diberikan tidak bisa diakses">
        </div>
        <div style="height: 20px;"></div>
        <div>
            <h6 style="font-weight: bold;">{{ film.tahun_rilis }}</h6>
            <h5 style="font-weight: bold;">Penulis: {{ film.sutradara }}</h5>
        </div>
        <div style="height: 20px;"></div>
        <div id="body">
            <p>{{ film.sinopsis }}</p>
        </div>
        <br>
        <div>
            <a href="{% url 'forum:forum_view' id=film.id %}"> <button style="color: #FFFCF9;" type="button" class="btn btn-primary">Lihat Forum</button></a>
        </div>
        <h3>Ulasan mengenai {{film.judul_film}}</h3>
        {% for review in reviews %}
        <br>
        <div class='p-3 mb-2 bg-dark text-white'>
            <div>
                <h4>
                    {{review.author}}
                </h4>
            </div>
            <div><span style='font-size: 50px;'>{{ review.rating }}</span> / 10</div>
            <hr>
            <div>
                <p>
                    {{review.body}}
                </p>
            </div>
        </div>
        {% endfor %}
    </div><br><br>
</div>
{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/cb-list.html
{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Daftar Film
{% endblock title %}
{% block content %}
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1000px;">
        <div>
            <div style="height: 50px;"></div>
            <h1 class="text-center" style="font-weight: bolder;">Daftar Perfileman Indonesia</h1>
            <div style="height: 50px;"></div>
            <div style="color: #011936;">
                {%if user.is_authenticated%}
                {% if request.user|has_group:"maintainer" %} 
                <div>
                    <a href="/film/create-form"><button style="color: #011936; background-color: #B1EDE8;" type="button" class="btn btn-info">+Film Baru</button></a>
                </div>
                {%endif%}
                {% endif %}
                {% for item in object_list %}
                    <div style="height: 20px;"></div>
                    <div class="card">
                        <a href="/film/detail/{{ item.pk }}" style="color: #011936;">
                            <div class="card-body">
                                <h5 style="font-weight: bolder;" class="card-title">{{ item.judul_film }}</h5>
                                <p class="card-text">{{ item.sutradara }}</p>
                            </div>
                        </a>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/cb-update.html
{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Buat Film
{% endblock title %}
{% block content %}
<div style="height: 20px;"></div>
<div class="container" style="max-width: 1000px;">
    <div>
        <div style="height: 50px;"></div>
        <h1 class="text-center" style="font-weight: bolder;">Ubah Artikel Ini</h1>
        <div style="height: 50px;"></div>
        <div style="color: #FFFCF9;">
            {%if user.is_authenticated%}
            {% if request.user|has_group:"maintainer" %} 
            <form method="post"> 
              {% csrf_token %} 
              {{ form.as_p }} 
              <button style=" background-color: #B1EDE8; color: #011936;" type="submit" class="btn btn-primary">Submit</button>
              <!-- <input type="submit" value="Save">  -->
          </form> 
          {%endif%}
          {%endif%}
        </div>
    </div>
</div>
{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/create-form.html
{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Buat Film
{% endblock title %}
{% block content %}
<div style="height: 20px;"></div>
<div class="container" style="max-width: 1000px;">
    <div>
        <div style="height: 50px;"></div>
        <h1 class="text-center" style="font-weight: bolder;">Buat Artikel Film Baru</h1>
        <div style="height: 50px;"></div>
        <div style="color: #FFFCF9;">
            <form>
                <div class="form-group">
                  <label>Judul Artikel</label>
                  <input class="form-control"placeholder="Tulis Judul Artikel di sini..">
                  <small class="form-text text-muted">Judul artikel akan dipertunjukkan di daftar film</small>
                </div>
                <div class="form-group">
                  <label>Penulis</label>
                  <input class="form-control" placeholder="Tulis nama penulis di sini..">
                </div>
                <div style="height: 30px;"></div>
                <div class="form-group">
                  <label>URL Gambar</label>
                  <input class="form-control" placeholder="Tulis url gambar di sini..">
                </div>
                <div style="height: 30px;"></div>
                <label>Upload file gambar artikel</label>
                <div class="custom-file" style="background-color: white;color: black;">
                    <input type="file" class="custom-file-input" id="customFile">
                  </div>
                  <div style="height: 50px;"></div>
                  <div class="form-group">
                    <label for="exampleFormControlTextarea1">Body Artikel</label>
                    <textarea class="form-control rounded-0" id="exampleFormControlTextarea1" rows="10" placeholder="Tulis isi artikel di sini.."></textarea>
                  </div>
                <div style="height: 50px;"></div>
              </form>
              <a href="/film/detail/69420"><button style=" background-color: #B1EDE8; color: #011936;" type="submit" class="btn btn-primary">Submit</button></a>
        </div>
    </div>
</div>
<div>This is a test of film list</div>
{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/detail-film.html
{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
<style>
#leftdiv
{
    min-width:20%;
    max-width:100px;
    height:1500px; 
    float:left;
}

#rightdiv
{
    min-width:60%;
    max-width:1400px;
    height:1500px; 
    float:right;
}
.size-etc
{
    min-width:70%;
    max-width:800px;
}
</style>
{% endblock css %}
{% block title %}
Detail film
{% endblock title %}
{% block content %}
    <div style="height: 20px;"></div>
    <!-- container -->
    <div class="container" style="max-width: 1500px;background-color: #465362">
        <div>
            <div style="height: 50px;"></div>
            <!-- title -->
            <div>
                <h1 class="title-name">
                    <!-- GIVE MOVIE TITLE -->
                    <strong>wanda vision</strong>
                </h1>
                <p>wanda vision</p>
            </div>

            <!-- movie and detail -->
            <div id="leftdiv">
                <!-- edit button -->
                <form method="get" action="#">
                    <button style="background-color: #388659;"class="btn btn-danger"data-bs-toggle="modal" data-bs-target="#exampleModal"  type="submit">Edit Film</button>
                </form>

                <!-- info movie + gambar -->
                <div style="height: 10px;"></div>
                <div class="movie-item">
                    <!-- gambar -->
                    <img src="{% static 'images/series/wanda.png' %}" alt="">
                    <!-- detail pada gambar -->
                    <div class="movie-item-content">
                        <div class="movie-item-title">
                            Wanda Vision
                        </div>
                        <div class="movie-infos">
                            <div class="movie-info">
                                <i class="bx bxs-star"></i>
                                <span>9.5</span>
                            </div>
                            <div class="movie-info">
                                <i class="fas fa-clock"></i>
                                <span>120 mins</span>
                            </div>
                            <div class="movie-info">
                                <span>HD</span>
                            </div>
                            <div class="movie-info">
                                <span>16+</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div style="height: 10px;"></div>

                <!-- button + watchlist -->
                <form method="get" action="#">
                    <button style="background-color: #388659;"class="btn btn-danger"data-bs-toggle="modal" data-bs-target="#exampleModal"  type="submit">+ Watchlist</button>
                </form>

                <!-- information -->
                <h2>Information</h2>
                <div class=Information>
                    <span class = "dark_text">Type:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Episodes:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Status:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Aired:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Premiered:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Producers:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Studios:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Source:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Genres:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Theme:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Demographic:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Duration:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Duration:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Information>
                    <span class = "dark_text">Rating:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info

                <div style="height: 20px;"></div>
                <!-- Statistics -->
                <h2>Statistics</h2>
                <div class=Statistics>
                    <span class = "dark_text">Score:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Statistics>
                    <span class = "dark_text">Ranked:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Statistics>
                    <span class = "dark_text">Popularity:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Statistics>
                    <span class = "dark_text">Members:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 
                <div class=Statistics>
                    <span class = "dark_text">Favorites:</span>
                    <!-- link pake <a href> -->
                    bisa link atau info
                </div> 

                <div style="height: 20px;"></div>
                <!-- External Links -->
                <h2>External Links</h2>
                <div class=External-Links>
                    <span class = "dark_text">Score:</span>
                    <!-- link pake <a href> -->
                    loream ipsum you know what to do here link and stuff
                </div> 
            </div>
        </div>
        <div class="container" style="max-width: 1000px;background-color: #465362">
            <!-- synopsis review etc -->
            <div id="rightdiv">
                
                <!-- synopsis -->
                <div class="size-etc"> 
                    <h2> <strong>Synopsis</strong></h2>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    [written by loream]
                </div>

                <!-- Background -->
                <div style="height: 20px;"></div>
                <div class="size-etc"> 
                    <h2> <strong>Background</strong></h2>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    [written by loream]
                </div>

                <!-- related movie -->
                <div style="height: 20px;"></div>
                <div class="size-etc"> 
                    <h2> <strong>related movie</strong></h2>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    [written by loream]
                </div>

                <!-- Cast -->
                <div style="height: 20px;"></div>
                <div class="size-etc"> 
                    <h2> <strong>Cast</strong></h2>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    [written by loream]
                </div>

                <!-- Forum -->
                <div style="height: 20px;"></div>
                <div class="size-etc"> 
                    <h2> <strong>Forum</strong></h2>
                    <form method="get" action="#">
                    <button style="background-color: #388659;"class="btn btn-danger"data-bs-toggle="modal" data-bs-target="#exampleModal"  type="submit">Post Forum</button>
                    </form>
                    
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    [written by loream]
                </div>

                <!-- Review -->
                <div style="height: 20px;"></div>
                <div class="size-etc"> 
                    <h2> <strong>Review</strong></h2>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    oream ipsum thing here please put lorem ipsum this shoud represent a brief description about the movie.
                    <br>
                    <br>
                    [written by loream]
                </div>
            </div>
        </div>
    </div>

{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/form-film.html
{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
<style>
#leftdiv
{
    min-width:20%;
    max-width:100px;
    height:1500px; 
    float:left;
}

#rightdiv
{
    min-width:60%;
    max-width:1400px;
    height:1500px; 
    float:right;
}
.size-etc
{
    min-width:70%;
    max-width:800px;
}
</style>
{% endblock css %}
{% block title %}
List film
{% endblock title %}
{% block content %}
    
    <!-- container -->
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1500px;">
        <h2> <strong>Form Film</strong></h2>
        <form method="post">
        {% csrf_token %}
        {{ form.as_p }}
        <button type="submit">Done</button>
        </form>

    </div> 

    

{% endblock content %}
{% block script %}
{% endblock script %}

film/templates/film/list-film.html
{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
<style>
#leftdiv
{
    min-width:20%;
    max-width:100px;
    height:1500px; 
    float:left;
}

#rightdiv
{
    min-width:60%;
    max-width:1400px;
    height:1500px; 
    float:right;
}
.size-etc
{
    min-width:70%;
    max-width:800px;
}
</style>
{% endblock css %}
{% block title %}
List film
{% endblock title %}
{% block content %}
    
    <!-- container -->
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1500px;">
        <h2> <strong>Film Terbaru</strong></h2>

    </div> 

    

{% endblock content %}
{% block script %}
{% endblock script %}